Subject: Re: bug#71159: [PATCH] Stipple support for MS Windows

From: "Elijah G." <[email-masked]>
Date: Sat, 01 Jun 2024 13:04:11 -0600

Eli Zaretskii <[email-masked]> writes:

>> From: "Elijah G." <[email-masked]>
>> Cc: Eli Zaretskii <[email-masked]>
>> Date: Thu, 30 May 2024 18:12:42 -0600
>> 
>> I've updated the patch for delete all the conflicts generated by
>> ae7d0e86b37eabc434c48f85f56df0a221e0e7c7 commit.
>
> Thanks, but is this the right patch?  It includes a syntax error,
> which GCC announces like this:
>
>   image.c: In function 'image_create_bitmap_from_data':
>   image.c:627:26: error: expected ';' before 'do'
>     627 |     sa_avail = MAX_ALLOCA
> 	|                          ^
> 	|                          ;
>   image.c:623:15: warning: variable 'sa_avail' set but not used [-Wunused-but-set-variable]
>     623 |     ptrdiff_t sa_avail; /* Used only for SAFE_NALLOCA.  */
> 	|               ^~~~~~~~
>   Makefile:457: recipe for target `image.o' failed
>   make[2]: *** [image.o] Error 1
>
> I'm guessing that you sent the wrong patch, because you couldn't have
> built Emacs with this one.  So, while the fix is trivial, I haven't
> installed this, out of fear that other parts might be incorrect.

I didn't know about that, i think it was an error that i didn't notice
when i was generating the patch file, i was having troubles with my
local repo.

It should now be fixed in the new patch sent.